<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___w_p_t_s__definitions" kind="group">
    <compoundname>group_ble_service_api_WPTS_definitions</compoundname>
    <title>WPTS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__wptss__char__t">cy_stc_ble_wptss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wpts__char__value__t">cy_stc_ble_wpts_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wpts__descr__value__t">cy_stc_ble_wpts_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wptss__t">cy_stc_ble_wptss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wptsc__char__t">cy_stc_ble_wptsc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wptsc__t">cy_stc_ble_wptsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wptss__config__t">cy_stc_ble_wptss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wptsc__config__t">cy_stc_ble_wptsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___w_p_t_s__definitions_1gaa487cfa444741a51b293f4e2fb64cadd" kind="enum" prot="public" static="no">
        <name>cy_en_ble_wpts_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___w_p_t_s__definitions_1ggaa487cfa444741a51b293f4e2fb64cadda9315b73cc6e575afb4b5701c3b510d8f" prot="public">
          <name>CY_BLE_WPTS_PRU_CONTROL</name>
          <briefdescription>
<para>PRU Control Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_p_t_s__definitions_1ggaa487cfa444741a51b293f4e2fb64caddaf9de18b5d7bec5a96e8ddc46f2211ed9" prot="public">
          <name>CY_BLE_WPTS_PTU_STATIC_PAR</name>
          <briefdescription>
<para>PTU Static Parameter Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_p_t_s__definitions_1ggaa487cfa444741a51b293f4e2fb64caddaa03e4c4031cbf19798c2d187f012526b" prot="public">
          <name>CY_BLE_WPTS_PRU_ALERT</name>
          <briefdescription>
<para>PRU Alert Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_p_t_s__definitions_1ggaa487cfa444741a51b293f4e2fb64caddae564efc14775449eb6bdfd22c6a359a7" prot="public">
          <name>CY_BLE_WPTS_PRU_STATIC_PAR</name>
          <briefdescription>
<para>PRU Static Parameter Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_p_t_s__definitions_1ggaa487cfa444741a51b293f4e2fb64cadda52975ef60e4ef768bbe614766e7cbf74" prot="public">
          <name>CY_BLE_WPTS_PRU_DYNAMIC_PAR</name>
          <briefdescription>
<para>PRU Dynamic Parameter Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_p_t_s__definitions_1ggaa487cfa444741a51b293f4e2fb64cadda6a8cb88aafa80c9cf8869f3d03dfc75d" prot="public">
          <name>CY_BLE_WPTS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of WPTS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_wpts_char_index_t: </bold><linebreak />WPTS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="65" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="58" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___w_p_t_s__definitions_1ga3275af67499f2a030abcf66824e4f895" kind="enum" prot="public" static="no">
        <name>cy_en_ble_wpts_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___w_p_t_s__definitions_1gga3275af67499f2a030abcf66824e4f895a3ee210daa61be1dbdf82e1410ca6eeda" prot="public">
          <name>CY_BLE_WPTS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_p_t_s__definitions_1gga3275af67499f2a030abcf66824e4f895ac4aecd5d54d3b7c39bd79a5c8e0d18ca" prot="public">
          <name>CY_BLE_WPTS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_wpts_descr_index_t: </bold><linebreak />WPTS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="72" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="68" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="69" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the WPTS specific definitions and data structures used in the WPTS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>